Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	multiplayer strategy game (Civilization Clone)
Name:		freeciv
Version:	2.2.2
Release:	1
License:	GNU/GPL 
URL:		http://www.freeciv.org
Group:		Games/Strategy
Source0:	%{name}-%{version}.tar.bz2
Source202:	freeciv.png
BuildArch:	i686
Requires(pre):	/usr/bin/ggz-config

BuildRequires:	alsa-lib-devel
BuildRequires:	audiofile-devel
BuildRequires:	esound-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: DirectFB-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gettext-devel
BuildRequires: ggz-client-libs-devel
BuildRequires: ggz-gtk-client-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcrypt-devel
BuildRequires: libggz-devel
BuildRequires: libgpg-error-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: ncurses-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: readline-devel
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel
BuildRequires: svgalib-devel
BuildRequires: sysfsutils-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
multiplayer strategy game (Civilization Clone)

%post
/usr/bin/ggz-config --install --modfile=%{_datadir}/freeciv/civclient.dsc
/usr/bin/ggz-config --install --modfile=%{_datadir}/freeciv/civserver.dsc
ldconfig

%postun
ldconfig

%preun
if [ "$1" = 0 ]; then
/usr/bin/ggz-config --remove --modfile=%{_datadir}/freeciv/civclient.dsc
/usr/bin/ggz-config --remove --modfile=%{_datadir}/freeciv/civserver.dsc
fi

%prep
%setup -q -n %{name}-%{version} 

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--datadir=%_datadir \
--disable-dependency-tracking \
--enable-debug=no \
--disable-rpath \
--enable-shared=yes \
--enable-static=no \
--enable-nls \
--with-zlib \
--with-x \
--with-readline \
--enable-client=gtk,sdl \
--enable-ftwl=opengl \
--with-ggzd-confdir=%{_datadir}/ggz
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{_sourcedir}/freeciv.png %{buildroot}%{_datadir}/pixmaps/
make install DESTDIR=%{buildroot}

# ggz integration
cp -R data/civclient.dsc %{buildroot}%{_datadir}/%{name}/
cp -R data/civserver.dsc %{buildroot}%{_datadir}/%{name}/

rm -rf %{buildroot}%{_sysconfdir}/ggz.modules

%files
%defattr(-,root,root)
%{_datadir}/freeciv/civclient.dsc
%{_datadir}/freeciv/civserver.dsc
%{_bindir}/civmanual      
%{_bindir}/freeciv-gtk2   
%{_bindir}/freeciv-sdl    
%{_bindir}/freeciv-server 
%{_libdir}/libfreeciv.la  
%{_libdir}/libfreeciv.so  
%{_libdir}/libfreeciv.so.*
%{_libdir}/libfreeciv-srv.la  
%{_libdir}/libfreeciv-srv.so  
%{_libdir}/libfreeciv-srv.so.*
%{_applications}/freeciv.desktop  
%{_applications}/freeciv-server.desktop
%{_datadir}/freeciv/amplio
%{_datadir}/freeciv/buildings     
%{_datadir}/freeciv/civ1 
%{_datadir}/freeciv/civ2 
%{_datadir}/freeciv/default
%{_datadir}/freeciv/flags 
%{_datadir}/freeciv/freeciv.rc-2.0                  
%{_datadir}/freeciv/gtk_menus.xml                   
%{_datadir}/freeciv/helpdata.txt                    
%{_datadir}/freeciv/hex2t 
%{_datadir}/freeciv/isophex 
%{_datadir}/freeciv/isotrident 
%{_datadir}/freeciv/misc
%{_datadir}/freeciv/nation 
%{_datadir}/freeciv/scenario
%{_datadir}/freeciv/stdsounds 
%{_datadir}/freeciv/themes/gui-gtk-2.0/Freeciv/gtk-2.0
%{_datadir}/freeciv/themes/gui-sdl/human
%{_datadir}/freeciv/trident 
%{_datadir}/freeciv/wonders
%{_datadir}/freeciv/amplio.tilespec
%{_datadir}/freeciv/civ1.serv
%{_datadir}/freeciv/civ2.serv
%{_datadir}/freeciv/default.serv
%{_datadir}/freeciv/hex2t.tilespec
%{_datadir}/freeciv/isophex.tilespec
%{_datadir}/freeciv/isotrident.tilespec
%{_datadir}/freeciv/stdsounds.soundspec
%{_datadir}/freeciv/trident.tilespec
%{_datadir}/icons/hicolor/*/apps/freeciv-client.png
%{_datadir}/icons/hicolor/*/apps/freeciv-server.png
%{_locale}/*/LC_MESSAGES/freeciv.mo
%{_mandir}/man6/freeciv-client.6.gz
%{_mandir}/man6/freeciv-ftwl.6.gz
%{_mandir}/man6/freeciv-gtk2.6.gz
%{_mandir}/man6/freeciv-sdl.6.gz
%{_mandir}/man6/freeciv-server.6.gz
%{_mandir}/man6/freeciv-win32.6.gz
%{_mandir}/man6/freeciv-xaw.6.gz
%{_pixmaps}/freeciv-client.png
%{_pixmaps}/freeciv.png



%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 17 2010 Christian Metzen <metzench@ccux-linux.de> 2.2.2-1
- Version update
* Tue Feb 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.2.0-1
- Version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 2.1.3-2
- rebuild, group correction to Games/Strategy
* Sat Jan 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.1.3-1
- version update
* Mon Dec 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.2-1
- version update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.1.1-1
- Version update
* Fri Oct 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-2
- final version
* Fri Sep 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- version update, beta2
* Sun Aug 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.8-1
- version update
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.0.7-1
- Initial Release
